#
# $Id$
#

Name:           python-redfish
Version:        0.4.5
Release:        %mkrel 1
Summary:        Redfish python library

License:        ASL 2.0
Group:          Development/Python 
Url:            https://github.com/bcornec/python-redfish
Source:         ftp://ftp.mondorescue.org//src/%{name}-%{version}.tar.gz
Requires:       python-docopt >= 0.6.2,python-tortilla >= 0.4.1,python-jinja2 >= 2.7.3,python-simplejson >= 3.8.1,python-requests >= 2.9.1
BuildArch:      noarch
BuildRequires:  make,python-devel,python-setuptools >= 18,python-pkg-resources >= 18,python-sphinx >= 1.2.3,python-future >= 0.15.2,python-docopt >= 0.6.2,python-requests >= 2.9.1,python-simplejson >= 3.8.1,texlive,texlive-dist,python-sphinx_rtd_theme,python-pbr >= 0.8,python-tortilla >= 0.4.1

%description
The Redfish API supports dialoging with a Redfish compliant
system such as defined by http://www.redfishcertification.org

%package -n python-redfish-doc
Summary: %{summary} / Documentation

%description -n python-redfish-doc
The Redfish API supports dialoging with a Redfish compliant
system such as defined by http://www.redfishcertification.org
Documentation

%prep
%setup -q

%build
%{__python} setup.py build
# Build minimal documentation
cd doc
make man
make singlehtml
make latexpdf

%install
./install.sh %{__python} %{buildroot} %{python_sitelib} %{_prefix} python-redfish
./install.sh %{_docdir} %{buildroot} %{python_sitelib} %{_prefix} python-redfish

%files
%doc README.rst examples/[a-z]*.py LICENSE AUTHORS ChangeLog
%{_bindir}/redfish-client
%{_bindir}/redfish-check-cartridge
%dir %{_datadir}/redfish-client
%{_datadir}/redfish-client/*.txt
%{_datadir}/redfish-client/templates/*
%config(noreplace) %{_sysconfdir}/redfish-client.conf
%{_sysconfdir}/bash_completion.d/redfish-client.bash
%dir %{python_sitelib}/redfish
%{python_sitelib}/redfish/*.py*
%{python_sitelib}/redfish/__pycache__/*.py*
%{python_sitelib}/redfish/oem/__pycache__/*.py*
%{python_sitelib}/redfish/oem/*.py*
%{python_sitelib}/redfish/tests/*.py*
%{python_sitelib}/redfish/tests/__pycache__/*.py*
%{python_sitelib}/python_redfish*
%{_mandir}/man1/*.1*

%files -n python-redfish-doc
%{_docdir}/python-redfish/manual/html/_static/*
%{_docdir}/python-redfish/manual/html/index.html
%{_docdir}/python-redfish/manual/*.pdf



%changelog
* Thu Feb 06 2025 bcornec <bcornec> 0.4.5-1.mga10
+ Revision: 2145678
- Update to upstream 0.4.5
- Fix deps
- Fix deps
- Update to upstream 0.3 python-redfish
- Created package structure for python-redfish.

